<div class="front_page_section front_page_section_subscribe<?php
	$seo_rocket_scheme = seo_rocket_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $seo_rocket_scheme ) && ! seo_rocket_is_inherit( $seo_rocket_scheme ) ) {
		echo ' scheme_' . esc_attr( $seo_rocket_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( seo_rocket_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( seo_rocket_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$seo_rocket_css      = '';
		$seo_rocket_bg_image = seo_rocket_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $seo_rocket_bg_image ) ) {
			$seo_rocket_css .= 'background-image: url(' . esc_url( seo_rocket_get_attachment_url( $seo_rocket_bg_image ) ) . ');';
		}
		if ( ! empty( $seo_rocket_css ) ) {
			echo ' style="' . esc_attr( $seo_rocket_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$seo_rocket_anchor_icon = seo_rocket_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$seo_rocket_anchor_text = seo_rocket_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $seo_rocket_anchor_icon ) || ! empty( $seo_rocket_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $seo_rocket_anchor_icon ) ? ' icon="' . esc_attr( $seo_rocket_anchor_icon ) . '"' : '' )
									. ( ! empty( $seo_rocket_anchor_text ) ? ' title="' . esc_attr( $seo_rocket_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( seo_rocket_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' seo-rocket-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$seo_rocket_css      = '';
			$seo_rocket_bg_mask  = seo_rocket_get_theme_option( 'front_page_subscribe_bg_mask' );
			$seo_rocket_bg_color_type = seo_rocket_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $seo_rocket_bg_color_type ) {
				$seo_rocket_bg_color = seo_rocket_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $seo_rocket_bg_color_type ) {
				$seo_rocket_bg_color = seo_rocket_get_scheme_color( 'bg_color', $seo_rocket_scheme );
			} else {
				$seo_rocket_bg_color = '';
			}
			if ( ! empty( $seo_rocket_bg_color ) && $seo_rocket_bg_mask > 0 ) {
				$seo_rocket_css .= 'background-color: ' . esc_attr(
					1 == $seo_rocket_bg_mask ? $seo_rocket_bg_color : seo_rocket_hex2rgba( $seo_rocket_bg_color, $seo_rocket_bg_mask )
				) . ';';
			}
			if ( ! empty( $seo_rocket_css ) ) {
				echo ' style="' . esc_attr( $seo_rocket_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$seo_rocket_caption = seo_rocket_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $seo_rocket_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $seo_rocket_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $seo_rocket_caption, 'seo_rocket_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$seo_rocket_description = seo_rocket_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $seo_rocket_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $seo_rocket_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $seo_rocket_description ), 'seo_rocket_kses_content' ); ?></div>
				<?php
			}

			// Content
			$seo_rocket_sc = seo_rocket_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $seo_rocket_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $seo_rocket_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					seo_rocket_show_layout( do_shortcode( $seo_rocket_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
