<?php
/**
 * The template to display default site footer
 *
 * @package SEO ROCKET
 * @since SEO ROCKET 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$seo_rocket_footer_scheme = seo_rocket_get_theme_option( 'footer_scheme' );
if ( ! empty( $seo_rocket_footer_scheme ) && ! seo_rocket_is_inherit( $seo_rocket_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $seo_rocket_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'seo_rocket_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'seo_rocket_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'seo_rocket_filter_get_template_part', 'templates/footer-socials' ) );

	// Copyright area
	get_template_part( apply_filters( 'seo_rocket_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
