<?php
/**
 * The template to display the background video in the header
 *
 * @package SEO ROCKET
 * @since SEO ROCKET 1.0.14
 */
$seo_rocket_header_video = seo_rocket_get_header_video();
$seo_rocket_embed_video  = '';
if ( ! empty( $seo_rocket_header_video ) && ! seo_rocket_is_from_uploads( $seo_rocket_header_video ) ) {
	if ( seo_rocket_is_youtube_url( $seo_rocket_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $seo_rocket_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php seo_rocket_show_layout( seo_rocket_get_embed_video( $seo_rocket_header_video ) ); ?></div>
		<?php
	}
}
