<div class="front_page_section front_page_section_googlemap<?php
	$seo_rocket_scheme = seo_rocket_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $seo_rocket_scheme ) && ! seo_rocket_is_inherit( $seo_rocket_scheme ) ) {
		echo ' scheme_' . esc_attr( $seo_rocket_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( seo_rocket_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( seo_rocket_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$seo_rocket_css      = '';
		$seo_rocket_bg_image = seo_rocket_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $seo_rocket_bg_image ) ) {
			$seo_rocket_css .= 'background-image: url(' . esc_url( seo_rocket_get_attachment_url( $seo_rocket_bg_image ) ) . ');';
		}
		if ( ! empty( $seo_rocket_css ) ) {
			echo ' style="' . esc_attr( $seo_rocket_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$seo_rocket_anchor_icon = seo_rocket_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$seo_rocket_anchor_text = seo_rocket_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $seo_rocket_anchor_icon ) || ! empty( $seo_rocket_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $seo_rocket_anchor_icon ) ? ' icon="' . esc_attr( $seo_rocket_anchor_icon ) . '"' : '' )
									. ( ! empty( $seo_rocket_anchor_text ) ? ' title="' . esc_attr( $seo_rocket_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$seo_rocket_layout = seo_rocket_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $seo_rocket_layout );
		if ( seo_rocket_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' seo-rocket-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$seo_rocket_css      = '';
			$seo_rocket_bg_mask  = seo_rocket_get_theme_option( 'front_page_googlemap_bg_mask' );
			$seo_rocket_bg_color_type = seo_rocket_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $seo_rocket_bg_color_type ) {
				$seo_rocket_bg_color = seo_rocket_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $seo_rocket_bg_color_type ) {
				$seo_rocket_bg_color = seo_rocket_get_scheme_color( 'bg_color', $seo_rocket_scheme );
			} else {
				$seo_rocket_bg_color = '';
			}
			if ( ! empty( $seo_rocket_bg_color ) && $seo_rocket_bg_mask > 0 ) {
				$seo_rocket_css .= 'background-color: ' . esc_attr(
					1 == $seo_rocket_bg_mask ? $seo_rocket_bg_color : seo_rocket_hex2rgba( $seo_rocket_bg_color, $seo_rocket_bg_mask )
				) . ';';
			}
			if ( ! empty( $seo_rocket_css ) ) {
				echo ' style="' . esc_attr( $seo_rocket_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $seo_rocket_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$seo_rocket_caption     = seo_rocket_get_theme_option( 'front_page_googlemap_caption' );
			$seo_rocket_description = seo_rocket_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $seo_rocket_caption ) || ! empty( $seo_rocket_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $seo_rocket_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $seo_rocket_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $seo_rocket_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $seo_rocket_caption, 'seo_rocket_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $seo_rocket_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $seo_rocket_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $seo_rocket_description ), 'seo_rocket_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $seo_rocket_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$seo_rocket_content = seo_rocket_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $seo_rocket_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $seo_rocket_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $seo_rocket_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $seo_rocket_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $seo_rocket_content, 'seo_rocket_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $seo_rocket_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $seo_rocket_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! seo_rocket_exists_trx_addons() ) {
						seo_rocket_customizer_need_trx_addons_message();
					} else {
						seo_rocket_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $seo_rocket_layout && ( ! empty( $seo_rocket_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
