<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package SEO ROCKET
 * @since SEO ROCKET 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$seo_rocket_copyright_scheme = seo_rocket_get_theme_option( 'copyright_scheme' );
if ( ! empty( $seo_rocket_copyright_scheme ) && ! seo_rocket_is_inherit( $seo_rocket_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $seo_rocket_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$seo_rocket_copyright = seo_rocket_get_theme_option( 'copyright' );
			if ( ! empty( $seo_rocket_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$seo_rocket_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $seo_rocket_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$seo_rocket_copyright = seo_rocket_prepare_macros( $seo_rocket_copyright );
				// Display copyright
				echo wp_kses( nl2br( $seo_rocket_copyright ), 'seo_rocket_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
