<?php
/**
 * The template to display default site footer
 *
 * @package SEO ROCKET
 * @since SEO ROCKET 1.0.10
 */

$seo_rocket_footer_id = seo_rocket_get_custom_footer_id();
$seo_rocket_footer_meta = get_post_meta( $seo_rocket_footer_id, 'trx_addons_options', true );
if ( ! empty( $seo_rocket_footer_meta['margin'] ) ) {
	seo_rocket_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( seo_rocket_prepare_css_value( $seo_rocket_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $seo_rocket_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $seo_rocket_footer_id ) ) ); ?>
						<?php
						$seo_rocket_footer_scheme = seo_rocket_get_theme_option( 'footer_scheme' );
						if ( ! empty( $seo_rocket_footer_scheme ) && ! seo_rocket_is_inherit( $seo_rocket_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $seo_rocket_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'seo_rocket_action_show_layout', $seo_rocket_footer_id );
	?>
</footer><!-- /.footer_wrap -->
