<?php
/**
 * The template to display the socials in the footer
 *
 * @package SEO ROCKET
 * @since SEO ROCKET 1.0.10
 */


// Socials
if ( seo_rocket_is_on( seo_rocket_get_theme_option( 'socials_in_footer' ) ) ) {
	$seo_rocket_output = seo_rocket_get_socials_links();
	if ( '' != $seo_rocket_output ) {
		?>
		<div class="footer_socials_wrap socials_wrap">
			<div class="footer_socials_inner">
				<?php seo_rocket_show_layout( $seo_rocket_output ); ?>
			</div>
		</div>
		<?php
	}
}
