<?php
/**
 * The template 'Style 1' to displaying related posts
 *
 * @package SEO ROCKET
 * @since SEO ROCKET 1.0
 */

$seo_rocket_link        = get_permalink();
$seo_rocket_post_format = get_post_format();
$seo_rocket_post_format = empty( $seo_rocket_post_format ) ? 'standard' : str_replace( 'post-format-', '', $seo_rocket_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $seo_rocket_post_format ) ); ?> data-post-id="<?php the_ID(); ?>">
	<?php
	seo_rocket_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'seo_rocket_filter_related_thumb_size', seo_rocket_get_thumb_size( (int) seo_rocket_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
			'post_info'     => '<div class="post_header entry-header">'
									. '<div class="post_categories">' . wp_kses( seo_rocket_get_post_categories( '' ), 'seo_rocket_kses_content' ) . '</div>'
									. '<h6 class="post_title entry-title"><a href="' . esc_url( $seo_rocket_link ) . '">'
										. wp_kses_data( '' == get_the_title() ? esc_html__( '- No title -', 'seo-rocket' ) : get_the_title() )
									. '</a></h6>'
									. ( in_array( get_post_type(), array( 'post', 'attachment' ) )
											? '<div class="post_meta"><a href="' . esc_url( $seo_rocket_link ) . '" class="post_meta_item post_date">' . wp_kses_data( seo_rocket_get_date() ) . '</a></div>'
											: '' )
								. '</div>',
		)
	);
	?>
</div>
